@Echo Off
cls
echo.
echo.
if %1^==/?^ goto help
if %1^==?^ goto help
if %1^==^  goto bad_param
if %2^==^  goto bad_param
if %3^==^ goto generic_install
%1CPBACK %2%3 -d -o
goto end
:generic_install
%1CPBACK %\DOS -d -o
goto end

:bad_param
echo.
echo Error: You must at least enter a source and destination drive.
echo.
:help
echo.
echo CPUPDATE HELP:
echo.
echo The syntax to update Central Point Backup for DOS is:
echo.
echo      CPUPDATE X: Y: PATH
echo.
echo Where X is the source drive, Y is the destination drive, and
echo PATH is the DOS directory path if different than \DOS.
echo.
echo.For example-> CPUPDATE A: C: or CPUPDATE A: C: \DOS63
echo.
echo The source drive is the drive that contains the update diskette.
echo The destination drive is the drive that DOS is installed to.
echo.
pause
goto exit

:end
echo.
echo. Update has been completed.
echo.
pause

:exit
